Bug 809707 - gnome-settings-daemon crash when system date earlier than 2012-02-01 (earlier than starttime in the .xml file of the current background theme)
gnome-settings-daemon crash when system date earlier than 2012-02-01 (earlier...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
RejectedBlocker https://fedoraproject...
: CommonBugs, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 02:59 EDT by Martin Langhoff
Modified: 2012-04-22 00:16 EDT (History)
10 users (show)

See Also:
Fixed In Version: cogl-1.10.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-22 00:16:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Langhoff 2012-04-04 02:59:34 EDT
Description of problem:

GNOME fails to start when the RTC date is 2000-01-01T00:00:00. 

Version-Release number of selected component (if applicable):

This has been seen on f17 as of today, on OLPC builds (ARM, x86), and on the F17 Alpha Live Desktop. 

How reproducible:

100%

Steps to Reproduce:
1. qemu-kvm --cdrom ~/Downloads/Fedora-17-Alpha-i686-Live-Desktop.iso --rtc base=2000-01-01T00:00:00 -m 512
2.
3.
  
Actual results:

We get GNOME's "something went wrong" dialog.

Expected results:

Fully booted GNOME desktop.

Additional info:

Coredumps and backtraces from the coredumps, taken on an OLPC XO-1.75 ARM unit at http://dev.laptop.org/~martin/11714/

The backtraces are odd, and gdb claims that there is no debuginfo for libc, but glibc-debuginfo is installed correctly.

Downstream bug entry http://dev.laptop.org/ticket/11714
Comment 1 Daniel Drake 2012-04-04 13:43:19 EDT
The backtrace looks normal to me. Here is the relevant part:

#2  0x408db444 in g_assertion_message (domain=<optimized out>, file=0x4016eeac "gnome-bg.c", line=line@entry=1618, 
    func=0x4016ebec "get_current_slide", message=<optimized out>, message@entry=0x0) at gtestutils.c:1860
        lstr = "1618\000\000\000\000\000\000\000\000\377\377\357A臇@(\021\024\000H\230\032\000\360\065\252\276"
        s = 0x2 <Address 0x2 out of bounds>
#3  0x4015dcbc in get_current_slide (show=show@entry=0x1a9848, alpha=0xbeaa35f0, alpha@entry=0xbeaa35e8) at gnome-bg.c:1618
        delta = <optimized out>
        list = <optimized out>
        elapsed = <optimized out>
        __PRETTY_FUNCTION__ = "get_current_slide"

We are hitting g_assert_not_reached() inside get_current_slide() in gnome-bg.c of libgnome-desktop.

Perhaps worth now filing an upstream bug against the libgnome-desktop component of gnome-desktop?
Comment 2 Martin Langhoff 2012-04-05 00:28:41 EDT
Sounds reasonable. get_current_slide() has a bunch of time elapsed calculations that could be off if show->start_time gets initialized wrong, possibly in read_slideshow_file()

get_current_slide()
http://git.gnome.org/browse/gnome-desktop/tree/libgnome-desktop/gnome-bg.c#n1630

read_slideshow_file()
git.gnome.org/browse/gnome-desktop/tree/libgnome-desktop/gnome-bg.c#n1630

Hmm, actually the time is initialized correctly -- read_slideshow_file reads the "background.xml" style file, and it looks like

head /usr/share/backgrounds/verne/default/verne.xml 
<background>
  <starttime>
    <year>2011</year>
    <month>02</month>
    <day>01</day>
    <hour>00</hour>
    <minute>00</minute>
    <second>00</second>
  </starttime>

On F17 the date on beefy-miracle is Feb 2012. I just confirmed, rolling back the date to 2011 year triggers this bug.

Now these background files are being used not because Fedora wants to run a slideshow, but because they are useful to define a various brackgrounds for various screen sizes.

In this case, "starttime" and duration seem to be both mandatory, which seems like a misfeature to me.
Comment 3 Martin Langhoff 2012-04-05 02:06:15 EDT
Filed at https://bugzilla.gnome.org/show_bug.cgi?id=673551 with more diagnosis; we should track resolution upstream of this crash bug.

However, this has also opened a path for a complementary fix in gnome-backgrounds: remove startime and perhaps duration - BZ#810086
Comment 4 Peter Robinson 2012-04-08 02:24:02 EDT
Suggesting this as a blocker as we shouldn't really crash with a wrong time as on a first install the time might not yet be correct, the easiest fix might be to change the time in the file for the beefy miracle theme but it should really get a proper fix.
Comment 5 Bruno Wolff III 2012-04-09 11:35:26 EDT
I suggested this for commonbugs as even though it won't be that common, I don't think it will be obvious to people who encounter it that they need to change the hardware clock setting (in the bios, other desktop or text mode).
Comment 6 Martin Langhoff 2012-04-09 11:49:14 EDT
TBH, it is easier to apply the workaround in the backgrounds.xml file than to document this as a commonbug.

I've filed a bug for the workaround at https://bugzilla.redhat.com/show_bug.cgi?id=810086
Comment 7 Bruno Wolff III 2012-04-09 11:54:59 EDT
But since we are in beta freeze and the bug was not accepted as a beta blocker or beta nth bug, a fix isn't going to make it into beta. And updates won't help live images and cases where you don't have the updates repo enabled during install.
Comment 8 Adam Williamson 2012-04-09 14:36:40 EDT
Discussed at 2012-04-09 QA meeting, acting as a blocker review meeting. We agreed this is not a Beta blocker as there are just too few likely or 'legitimate' cases of wrong system date, and in all of them, the perfectly simple workaround 'correct the system date' applies. We also agreed not to accept it as an NTH bug as the effect is so limited and easy to avoid, and we really wish to avoid taking changes into Beta now unless they're absolutely unavoidable.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Martin Langhoff 2012-04-12 09:59:19 EDT
Upstream has a proposed patch. https://bugzilla.gnome.org/show_bug.cgi?id=673551
Comment 10 Daniel Drake 2012-04-16 12:00:31 EDT
Fixed in gnome-desktop3-3.4.1-2.fc17 to be pushed in GNOME-3.4.1 update.
Comment 11 Fedora Update System 2012-04-18 11:19:20 EDT
aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
Comment 12 Fedora Update System 2012-04-18 18:12:23 EDT
Package aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).
Comment 13 Adam Williamson 2012-04-18 21:35:18 EDT
making summary more accurate.
Comment 14 Fedora Update System 2012-04-20 02:04:08 EDT
Package cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cogl-1.10.2-1.fc17 epiphany-3.4.1-1.fc17 gobject-introspection-1.32.1-1.fc17 aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/epiphany-3.4.1-1.fc17,gobject-introspection-1.32.1-1.fc17,cogl-1.10.2-1.fc17,aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-04-22 00:16:57 EDT
cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.